[Relevant paper](https://covid19.nhs.uk/risk-scoring-algorithm.html), and [Summary article](https://faq.covid19.nhs.uk/article/KA-01159/en-us)

* "Close contact" is generally summarised as being within 2m of the subject for > 15 minutes, but is actually based on an algorithm
  * Upon agreeing to share the contact data collected by the app, data is given to Google/Apple API
  * The user provides a date when they first noticed COVID-19 symptoms (if this was not already given), which is used to estimate their level of infectiousness on each day from 2 days before onset to 10 days after. It is higher closer to the onset.
  * Data includes the signal strength between each device, which is measured on average every 3.6 minutes, stored and then transmitted to the other device
    * Signal strength can be affected by external factors (location of phone on body, rf environment, etc.), so distance cannot be calculated exactly
  * Each device now has its own and the other's strength measurements, which it uses to estimate a distance
  * Using this set of measurements over time, the device calculates a "risk score" using these distance estimates:
    * ( (Total time spent within 1 metre) + Sum( (Time spent within 1 metre or further) / (Distance^2) ) ) * ( Est. level of infectiousness on the day of the encounter )
  * The threshold "risk score" is defined to produce results similar to the 2 metre 15 minute rule
  * If a contact crossed this threshold, they are notified
  * The risk level was transmitted as "Low", "Standard" or "High", although in more recent versions of GAEN API, Low has changed to None.



* Later versions of GAEN (Google/Apple Exposure Notifications) (>=1.6) and subsequently newer versions of NHS app added a REVOKED close contact report type, which denotes that previous close contact reports related to a users key can be discarded, for example if a user self-reported positive but PCR'ed negative. ([source](https://developers.google.com/android/exposure-notifications/exposure-notifications-api#data-structures), see "reportType" atrribute in "TemporaryExposureKey" class)
